AOM
Supported Codecs

## Topics

| AOMedia AOM/AV1 Encoder
| AOMedia AOM/AV1 Decoder

## Files

file | aom.h
| Provides controls common to both the AOM encoder and decoder.

## Data Structures

struct | av1_ref_frame
| AV1 specific reference frame data struct. More...

## Typedefs

typedef struct av1_ref_frame | av1_ref_frame_t
| AV1 specific reference frame data struct.

## Enumerations

enum | aom_com_control_id { AV1_GET_REFERENCE = 230 , AV1_SET_REFERENCE = 231 , AV1_COPY_REFERENCE = 232 , AV1_GET_NEW_FRAME_IMAGE = 233 , AV1_COPY_NEW_FRAME_IMAGE = 234 , AOM_DECODER_CTRL_ID_START = 256 }
| Control functions. More...

## Detailed Description

AOM is aom's newest video compression algorithm that uses motion compensated prediction, Discrete Cosine Transform (DCT) coding of the prediction error signal and context dependent entropy coding techniques based on arithmetic principles. It features:

- YUV 4:2:0 image format
- Macro-block based coding (16x16 luma plus two 8x8 chroma)
- 1/4 (1/8) pixel accuracy motion compensated prediction
- 4x4 DCT transform
- 128 level linear quantizer
- In loop deblocking filter
- Context-based entropy coding

## Typedef Documentation

## av1_ref_frame_t

typedef struct av1_ref_frame av1_ref_frame_t

AV1 specific reference frame data struct.

Define the data struct to access av1 reference frames.

## Enumeration Type Documentation

## aom_com_control_id

enum aom_com_control_id

Control functions.

The set of macros define the control functions of AOM interface The range for common control IDs is 230-255(max).

Enumerator
AV1_GET_REFERENCE | Codec control function to get a pointer to a reference frame. av1_ref_frame_t* parameter
AV1_SET_REFERENCE | Codec control function to write a frame into a reference buffer. av1_ref_frame_t* parameter
AV1_COPY_REFERENCE | Codec control function to get a copy of reference frame from the decoder. av1_ref_frame_t* parameter
AV1_GET_NEW_FRAME_IMAGE | Codec control function to get a pointer to the new frame. aom_image_t* parameter
AV1_COPY_NEW_FRAME_IMAGE | Codec control function to copy the new frame to an external buffer. aom_image_t* parameter
AOM_DECODER_CTRL_ID_START | Start point of control IDs for aom_dec_control_id. Any new common control IDs should be added above.